Package edu.msu.cme.rdp.multicompare

# Class MCSampleResult

java.lang.Object
edu.msu.cme.rdp.multicompare.MCSample
edu.msu.cme.rdp.multicompare.MCSampleResult

public class MCSampleResult extends MCSample

## Constructor Summary

Constructors
Constructor
Description
`MCSampleResult(String classicationResultFile)`
`MCSampleResult(String classicationResultFile, File dupCountFile)`

## Method Summary

Modifier and Type
Method
Description
`ClassificationParser`
`getClassificationParser(ClassifierFactory classifierFactory)`

### Methods inherited from class edu.msu.cme.rdp.multicompare.MCSample

`addRankCount, getBootstrapCountTable, getBootstrapIndex, getDupCount, getNextSeq, getSampleName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MCSampleResult

public MCSampleResult(String classicationResultFile) throws IOException

Throws:
  `IOException`

### MCSampleResult

public MCSampleResult(String classicationResultFile, File dupCountFile) throws IOException

Throws:
  `IOException`

## Method Details

### getClassificationParser

public ClassificationParser getClassificationParser(ClassifierFactory classifierFactory) throws FileNotFoundException

Throws:
  `FileNotFoundException`